openssl_x509_checkpurpose
openssl_x509_export
OpenSSL Functions
PHP Manual

# openssl_x509_export_to_file

(PHP 4 >= 4.2.0, PHP 5)

openssl_x509_export_to_file — Exports a certificate to file

### Description

bool openssl_x509_export_to_file ( mixed `$x509` , string `$outfilename` [, bool `$notext` ] )

openssl_x509_export_to_file() stores `x509` into a file named by `outfilename` in a PEM encoded format.

### Parameters

`x509`

  See Key/Certificate parameters for a list of valid values.

`outfilename`

  Path to the output file.

`notext`

  The optional parameter `notext` affects the verbosity of the output; if it is `FALSE`, then additional human-readable information is included in the output. The default value of `notext` is `TRUE`.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

openssl_x509_checkpurpose
openssl_x509_export
OpenSSL Functions
PHP Manual